module _07

open Day07
open NUnit.Framework

[<SetUp>]
let Setup () = ()

let readInput name =
    System.IO.Path.Combine(__SOURCE_DIRECTORY__, name) |> System.IO.File.ReadAllText

[<Test>]
let ``Part 1 example`` () =
    let result = readInput "example" |> part1
    Assert.AreEqual(95437, result)

[<Test>]
let ``Part 1`` () =
    let result = readInput "input" |> part1
    Assert.AreEqual(1243729, result)

[<Test>]
let ``Part 2 example`` () =
    let result = readInput "example" |> part2
    Assert.AreEqual(24933642, result)

[<Test>]
let ``Part 2 live`` () =
    let result = readInput "input" |> part2
    Assert.AreEqual(4443914, result)
